## org.eclipse.jst.jsf.designtime.context
Class AbstractDTExternalContextFactory

    java.lang.Object
      org.eclipse.jst.jsf.designtime.context.AbstractDTExternalContextFactory

Direct Known Subclasses:
  DefaultDTExternalContextFactory

    public abstract class AbstractDTExternalContextFactory

extends java.lang.Object

Super-class of all external context factories

Constructor Summary
`AbstractDTExternalContextFactory()`

Method Summary
`abstract IDTExternalContext` `create(IAdaptable containerContext)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDTExternalContextFactory

    public AbstractDTExternalContextFactory()

Method Detail

### create

    public abstract IDTExternalContext create(IAdaptable containerContext)

  Parameters:
    `containerContext` -
  Returns:
    a new IDTExternalContext for the containerContext refered to by containerContext.